-- 基础信息
base_info = {
	group_id = 247001031
}

-- DEFS_MISCS
local GroupId = 247001031
local point_id_list = {}
local MainGroupID = 247001001
local RegionID = 31001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 31001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = 79.990, y = 0.050, z = 399.999 } }
}

-- 触发器
triggers = {
	{ config_id = 1031001, name = "ENTER_REGION_31001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 31002, pos = { x = 76.056, y = 0.107, z = 412.985 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 31003, pos = { x = 84.140, y = 0.105, z = 412.931 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 31004, pos = { x = 80.035, y = 0.101, z = 413.876 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 31005, pos = { x = 72.879, y = 0.121, z = 411.770 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 2 },
	{ config_id = 31006, pos = { x = 87.099, y = 0.115, z = 411.329 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 2 },
	{ config_id = 31007, pos = { x = 71.659, y = 0.105, z = 409.048 }, rot = { x = 0.000, y = 110.000, z = 0.000 }, tag = 2 },
	{ config_id = 31008, pos = { x = 88.767, y = 0.110, z = 409.064 }, rot = { x = 0.000, y = 250.000, z = 0.000 }, tag = 2 },
	{ config_id = 31009, pos = { x = 71.407, y = 0.100, z = 405.342 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 31010, pos = { x = 88.868, y = 0.108, z = 405.359 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 31011, pos = { x = 84.574, y = 0.115, z = 408.097 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 31012, pos = { x = 78.788, y = 0.126, z = 407.164 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 4 },
	{ config_id = 31013, pos = { x = 90.265, y = 0.100, z = 407.130 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 4 },
	{ config_id = 31014, pos = { x = 75.844, y = 0.108, z = 402.485 }, rot = { x = 0.000, y = 100.000, z = 0.000 }, tag = 4 },
	{ config_id = 31015, pos = { x = 93.395, y = 0.106, z = 402.490 }, rot = { x = 0.000, y = 260.000, z = 0.000 }, tag = 4 },
	{ config_id = 31016, pos = { x = 75.859, y = 0.102, z = 397.601 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 31017, pos = { x = 93.301, y = 0.101, z = 397.656 }, rot = { x = 0.000, y = 280.000, z = 0.000 }, tag = 4 },
	{ config_id = 31018, pos = { x = 78.837, y = 0.100, z = 392.933 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 4 },
	{ config_id = 31019, pos = { x = 90.194, y = 0.100, z = 392.848 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 4 },
	{ config_id = 31020, pos = { x = 84.475, y = 0.100, z = 392.054 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 31021, pos = { x = 74.738, y = 0.142, z = 407.181 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 31022, pos = { x = 89.018, y = 0.117, z = 407.183 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 8 },
	{ config_id = 31023, pos = { x = 74.740, y = 0.100, z = 392.830 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 8 },
	{ config_id = 31024, pos = { x = 88.941, y = 0.100, z = 392.908 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 31025, pos = { x = 82.043, y = 0.117, z = 407.429 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 31026, pos = { x = 81.845, y = 0.100, z = 392.672 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 31027, pos = { x = 73.763, y = 0.101, z = 400.002 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 8 },
	{ config_id = 31028, pos = { x = 90.139, y = 0.104, z = 399.968 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 },
	{ config_id = 31029, pos = { x = 73.868, y = 0.102, z = 395.938 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 8 },
	{ config_id = 31030, pos = { x = 89.836, y = 0.109, z = 403.377 }, rot = { x = 0.000, y = 240.000, z = 0.000 }, tag = 8 },
	{ config_id = 31031, pos = { x = 83.393, y = 0.100, z = 392.354 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 31032, pos = { x = 76.141, y = 0.126, z = 407.276 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 31033, pos = { x = 86.547, y = 0.050, z = 402.977 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 16 },
	{ config_id = 31034, pos = { x = 86.554, y = 0.050, z = 401.334 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 16 },
	{ config_id = 31035, pos = { x = 86.636, y = 0.050, z = 400.208 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 16 },
	{ config_id = 31036, pos = { x = 86.645, y = 0.050, z = 398.566 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 16 },
	{ config_id = 31037, pos = { x = 86.601, y = 0.050, z = 397.050 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 16 },
	{ config_id = 31038, pos = { x = 86.611, y = 0.050, z = 395.408 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 16 },
	{ config_id = 31039, pos = { x = 83.295, y = 0.050, z = 402.144 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 16 },
	{ config_id = 31040, pos = { x = 83.305, y = 0.050, z = 400.502 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 16 },
	{ config_id = 31041, pos = { x = 83.265, y = 0.050, z = 398.986 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 16 },
	{ config_id = 31042, pos = { x = 83.274, y = 0.050, z = 397.344 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 16 },
	{ config_id = 31043, pos = { x = 79.843, y = 0.050, z = 404.279 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 32 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 31001 },
		triggers = { "ENTER_REGION_31001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
